/*!
        @file    doxygen.h

        @brief

        @author  Shinji Motoki  (smotoki)
                 $LastChangedBy: namekawa $

        @date    $LastChangedDate:: 2021-03-31 14:25:30 #$

        @version $LastChangedRevision: 2220 $
*/

#ifndef DOXYGEN_INCLUDED
#define DOXYGEN_INCLUDED

/**
   \mainpage Lattice QCD common code development Project
   \section intro [Introduction]
    Bridge++ is a code set for performing calculations in lattice QCD on linux workstations, and  \n
    supercomputers using "C/C++" standard language with MPI.
    \n

   \section environment [Environment]
        - Target platforms are listed in Makefile.
        - For confirmation on each environment, see Bridge++ wiki.
          https://www.bridge-hpc.org/
        \n
   \section install [Install]
        - See INSTALL.txt in the code set.
    \n

   \section author [Authors]
   \subsection project_member Project Member
   Yutaro    Akahoshi  (Kyoto Univ.)      \n
   Tatsumi   Aoyama    (KEK)              \n
   Issaku    Kanamori  (RIKEN R-CCS)      \n
   Kazuyuki  Kanaya    (Univ. of Tsukuba) \n
   Hideo     Matsufuru (KEK)              \n
   Yusuke    Namekawa  (Kyoto Univ.)      \n
   Hidekatsu Nemura    (Osaka Univ.)      \n
   Yusuke    Taniguchi (Univ. of Tsukuba) \n

   \subsection contributer Contributer
   Shinya    Aoki      (Kyoto Univ.)      \n
   Takumi    Doi       (RIKEN)            \n
   Shoji     Hashimoto (KEK)              \n
   Noriyoshi Ishii     (Osaka Univ.)      \n
   Ken-ichi  Ishikawa  (Hiroshima Univ.)  \n
   Takashi   Kaneko    (KEK)              \n
   Yoshinobu Kuramashi (Univ. of Tsukuba) \n
   Kenji     Sasaki    (Kyoto Univ.)      \n
   Naoya     Ukita     (Univ. of Tsukuba) \n
   Tomoteru  Yoshie    (Univ. of Tsukuba) \n

   \subsection former_member Former Member
   Guido     Cossu    \n
   Takaya    Miyamoto \n
   Shinji    Motoki   \n
   Jun-Ichi  Noaki    \n
   Kenji     Ogawa    \n
   Hana      Saito    \n
   Satoru    Ueda     \n

   \section history [History]
    - 2021/03/30    Version 1.6 Release.
    - 2019/03/07    Version 1.5 Release.
    - 2017/03/15    Version 1.4 Release.
    - 2015/10/08    Version 1.3 Release.
    - 2014/09/17    Version 1.2 Release.
    - 2013/07/22    Version 1.1 Release.
    - 2012/07/25    Version 1.0 Release.
    - 2009/09/14    Bridge++ Project started.
 */
#endif // DOXYGEN_INCLUDED


//   \section reference Reference
//    - [ref]
//    - [ref]
